Subject: Re: linux-next: Tree for Dec 13

From: Andy Shevchenko <[email-masked]>
Date: Tue, 14 Dec 2021 13:44:26 +0200

On Tue, Dec 14, 2021 at 03:02:15AM +0000, [email-masked] wrote:
> Hi all,
> 
> Non-merge commits (relative to Linus' tree): 5960
>  6555 files changed, 277265 insertions(+), 120864 deletions(-)

Mark, is it possible to add tags to the releases, please?

When you do them tags are missed, I have to add them manually after my scripts
out of a sudden switched from Linux Next base to latest used vanilla tag with
all nice outcomes...

> ----------------------------------------------------------------------------
> 
> I have created today's linux-next tree at
> git://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git
> (patches at http://www.kernel.org/pub/linux/kernel/next/ ).  If you
> are tracking the linux-next tree using git, you should not use "git pull"
> to do so as that will try to merge the new linux-next release with the
> old one.  You should use "git fetch" and checkout or reset to the new
> master.
> 
> You can see which trees have been included by looking in the Next/Trees
> file in the source.  There are also quilt-import.log and merge.log
> files in the Next directory.  Between each merge, the tree was built
> with a defconfig for arm64, an allmodconfig for x86_64, a
> multi_v7_defconfig for arm and a native build of tools/perf.
> 
> Below is a summary of the state of the merge.
> 
> I am currently merging 346 trees (counting Linus' and 94 trees of bug
> fix patches pending for the current merge release).
> 
> Stats about the size of the tree over time can be seen at
> http://neuling.org/linux-next-size.html .
> 
> Status of my local build tests will be at
> http://kisskb.ellerman.id.au/linux-next .  If maintainers want to give
> advice about cross compilers/configs that work, we are always open to add
> more builds.
> 
> Thanks to Randy Dunlap for doing many randconfig builds.  And to Paul
> Gortmaker for triage and bug fixes.
> 

-- 
With Best Regards,
Andy Shevchenko